## org.eclipse.emf.ecore.action
Class OpenEditorAction

    java.lang.Object
      org.eclipse.ui.actions.ActionDelegate
          org.eclipse.emf.ecore.action.OpenEditorAction

All Implemented Interfaces:
  IActionDelegate, IActionDelegate2

    public class OpenEditorAction

extends ActionDelegate
implements IActionDelegate

Generate Java beans from the XML Schema

Field Summary
`protected IFile` `file`

Constructor Summary
`OpenEditorAction()`

Method Summary
`void` `run(IAction action)`
`void` `selectionChanged(IAction action, ISelection selection)`

Methods inherited from class org.eclipse.ui.actions.ActionDelegate
`dispose, init, runWithEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### file

    protected IFile file

Constructor Detail

### OpenEditorAction

    public OpenEditorAction()

Method Detail

### run

    public void run(IAction action)

  Specified by:
    `run` in interface `IActionDelegate`
  Overrides:
    `run` in class `ActionDelegate`

### selectionChanged

    public void selectionChanged(IAction action,
                                 ISelection selection)

  Specified by:
    `selectionChanged` in interface `IActionDelegate`
  Overrides:
    `selectionChanged` in class `ActionDelegate`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.